package de.fhdw.wtf.tooling.builders.result;

public class ExecutionSuccessfulResult<T> extends AbstractCommandResult<T> {
	
	private final T result;
	
	public T getResult() {
		return this.result;
	}
	
	public ExecutionSuccessfulResult(final T result) {
		this.result = result;
	}
	
	@Override
	public void accept(final AbstractCommandResultVisitor<T> visitor) {
		visitor.handle(this);
	}
	
}
